import 'dart:convert';

import 'package:arupo_shop/models/jwt.dart';
import 'package:flutter_secure_storage/flutter_secure_storage.dart';

class AuthDataClient {
  final _storage = const FlutterSecureStorage();

  Future<JWT> get accessToken async {
    final data = await _storage.read(key: 'TOKEN');
    if (data != null) {
      final jwt = JWT.fromMap(jsonDecode(data));
      return jwt;
    }
    return JWT(token: "", refresh: "");
  }

  Future<void> saveToken(JWT jwt) async {
    final data = jsonEncode(jwt.toJson());
    await _storage.write(key: 'TOKEN', value: data);
  }

  Future<void> deleteToken() async {
    await _storage.delete(key: 'TOKEN');
  }
}
