import 'package:arupo_shop/constants/constants.dart';
import 'package:arupo_shop/screens/home_buyer_screen.dart';
import 'package:arupo_shop/screens/home_seller_screen.dart';
import 'package:arupo_shop/screens/item_add_screen.dart';
import 'package:arupo_shop/screens/role_screen.dart';
import 'package:arupo_shop/screens/sign_in_screen.dart';
import 'package:arupo_shop/screens/sign_up_screen.dart';
import 'package:arupo_shop/screens/splash_screen.dart';
import 'package:arupo_shop/view_models/auth_view_model.dart';
import 'package:arupo_shop/view_models/category_view_model.dart';
import 'package:arupo_shop/view_models/item_view_model.dart';
import 'package:arupo_shop/view_models/request_detaill_view_model2.dart';
import 'package:arupo_shop/view_models/request_detail_view_model.dart';
import 'package:arupo_shop/view_models/request_view_model.dart';
import 'package:arupo_shop/view_models/role_view_model.dart';
import 'package:arupo_shop/view_models/user_view_model.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MultiProvider(
      providers: [
        ChangeNotifierProvider(
            create: (BuildContext context) => AuthViewModel()),
        ChangeNotifierProvider(
            create: (BuildContext context) => RoleViewModel()),
        ChangeNotifierProvider(
            create: (BuildContext context) => UserViewModel()),
        ChangeNotifierProvider(
            create: (BuildContext context) => RequestViewModel()),
        ChangeNotifierProvider(
            create: (BuildContext context) => RequestDetailViewModel()),
        ChangeNotifierProvider(
            create: (BuildContext context) => RequestDetailViewModel2()),
        ChangeNotifierProvider(
            create: (BuildContext context) => ItemViewModel()),
        ChangeNotifierProvider(
            create: (BuildContext context) => CategoryViewModel()),
      ],
      child: MaterialApp(
        debugShowCheckedModeBanner: false,
        theme: ThemeData(
          primarySwatch: Colors.pink,
        ),
        home: AnimatedSplashScreen(),
        routes: <String, WidgetBuilder>{
          SIGN_IN: (BuildContext context) => SignInScreen(),
          SIGN_UP: (BuildContext context) => SignUpScreen(),
          ROLE_SCREEN: (BuildContext context) => RoleScreen(),
          HOME_BUYER: (BuildContext context) => HomeBuyerScreen(),
          HOME_SELLER: (BuildContext context) => HomeSellerScreen(),
          ITEM_ADD_SCREEN: (BuildContext context) => ItemAddScreen(),
        },
      ),
    );
  }
}
