import 'package:arupo_shop/models/credential.dart';

class Account {
  late int id;
  late String email, password;
  late List<Credential> credentials;

  Account({
    required this.id,
    required this.email,
    required this.password,
    required this.credentials,
  });

  Account.fromMap(Map<String, dynamic> map) {
    id = map["id"];
    email = map['email'];
    password = map['password'];
    credentials = List<Credential>.from(map['credentials']);
  }

  Map<String, dynamic> toJson() => {
        'id': id,
        'email': email,
        'password': password,
        'credentials': credentials,
      };

  addCredential(Credential credential) {
    credentials.add(credential);
  }
}
