import 'account.dart';

class Buyer {
  final int id;
  final String firstName, lastName;
  final Account account;

  Buyer({
    required this.id,
    required this.firstName,
    required this.lastName,
    required this.account,
  });

  factory Buyer.fromJson(Map<String, dynamic> json) {
    return Buyer(
      id: json['id'],
      firstName: json['firstName'],
      lastName: json['lastName'],
      account: Account.fromMap(json['account']),
    );
  }

  Map<String, dynamic> toJson() => {
        'id': id,
        'firstName': firstName,
        'lastName': lastName,
        'account': account.toJson(),
      };
}
