import 'package:arupo_shop/models/category.dart';
import 'package:arupo_shop/models/item_detail.dart';

class Item {
  late int id;
  late String description;
  late Category category;
  late List<ItemDetail> itemDetails;

  Item({
    required this.id,
    required this.description,
    required this.category,
    required this.itemDetails,
  });

  Item.fromMap(Map<String, dynamic> map) {
    id = map['id'];
    description = map['description'];
    category = Category.fromMap(map['category']);
    itemDetails = List.from(map['itemDetails'])
        .map((f) => ItemDetail.fromMap(f))
        .toList();
  }

  Map<String, dynamic> toJson() => {
        'id': id,
        'description': description,
        'category': category,
        'itemDetails': itemDetails,
      };
}
