import 'package:arupo_shop/models/buyer.dart';
import 'package:arupo_shop/models/request_detail2.dart';

class Request {
  late int id;
  late Buyer buyer;
  late String date;
  late List<RequestDetail2> requestDetails;

  Request({
    this.id = 0,
    required this.date,
    required this.buyer,
    required this.requestDetails,
  });

  Request.fromMap(Map<String, dynamic> map) {
    id = map['id'];
    date = map['date'];
    buyer = Buyer.fromJson(map['buyer']);
    requestDetails = List.from(map['requestDetails'])
        .map((f) => RequestDetail2.fromMap(f))
        .toList();
  }

  Map<String, dynamic> toJson() => {
        'id': id,
        'date': date,
        'buyer': buyer.toJson(),
        'requestDetails': requestDetails,
      };

  addDetail(RequestDetail2 detail) {
    requestDetails.add(detail);
  }

  String getItemsDescription() {
    String result = "";
    int con = 0;
    requestDetails.forEach((element) {
      con++;
      result += (con <= 3) ? element.item.description + ", " : "";
    });
    return result;
  }
}
