import 'package:arupo_shop/constants/constants.dart';
import 'package:arupo_shop/screens/request_panel.dart';
import 'package:arupo_shop/screens/requests_list_panel.dart';
import 'package:arupo_shop/utils/responsive.dart';
import 'package:arupo_shop/view_models/auth_view_model.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class HomeBuyerScreen extends StatefulWidget {
  const HomeBuyerScreen({Key? key}) : super(key: key);

  @override
  _HomeBuyerState createState() => _HomeBuyerState();
}

class _HomeBuyerState extends State<HomeBuyerScreen> {
  _logout(BuildContext context, AuthViewModel authViewModel) {
    authViewModel.signOut();
    print("LOGOUT");
    Navigator.of(context).pushReplacementNamed(SIGN_IN);
  }

  @override
  Widget build(BuildContext context) {
    final _authViewModel = Provider.of<AuthViewModel>(context);
    return DefaultTabController(
      length: 2,
      child: Scaffold(
        backgroundColor: Colors.lime[100],
        appBar: AppBar(
          leading: Icon(Icons.person),
          title: Text("${_authViewModel.account.email}",
              style: TextStyle(fontSize: Responsive.dp(1.5))),
          bottom: TabBar(
            indicatorColor: Colors.white,
            indicatorWeight: 3.0,
            tabs: <Widget>[
              Tab(icon: Icon(Icons.list)),
              Tab(icon: Icon(Icons.shopping_cart_outlined)),
            ],
          ),
          actions: [
            IconButton(
              icon: Icon(Icons.logout),
              tooltip: "Salir",
              onPressed: () {
                _logout(context, _authViewModel);
              },
            ),
          ],
        ),
        body: TabBarView(
          children: [
            //Fisrt panel
            RequestListPanel(),
            //Second panel
            RequestPanel(),
          ],
        ),
      ),
    );
  }
}
