import 'package:arupo_shop/constants/constants.dart';
import 'package:arupo_shop/view_models/auth_view_model.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class HomeSellerScreen extends StatelessWidget {
  const HomeSellerScreen({Key? key}) : super(key: key);

  _logout(BuildContext context, AuthViewModel authViewModel) {
    authViewModel.signOut();
    print("LOGOUT");
    Navigator.of(context).pushReplacementNamed(SIGN_IN);
  }

  @override
  Widget build(BuildContext context) {
    final authViewModel = Provider.of<AuthViewModel>(context);
    return Scaffold(
      appBar: AppBar(
        title: Text("Seller"),
        actions: [
          IconButton(
            icon: Icon(Icons.account_circle),
            onPressed: () {},
          ),
          IconButton(
            icon: Icon(Icons.logout),
            onPressed: () {
              _logout(context, authViewModel);
            },
          ),
        ],
      ),
      body: Container(
        child: Column(
          children: [Text(authViewModel.account.email)],
        ),
      ),
    );
  }
}
