import 'package:arupo_shop/utils/responsive.dart';
import 'package:arupo_shop/widgets/item_request_form.dart';
import 'package:flutter/material.dart';

class ItemAddScreen extends StatelessWidget {
  const ItemAddScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.lime[100],
      appBar: AppBar(
        leading: Icon(
          Icons.shopping_cart,
        ),
        title: Text("Solicitud de Item"),
        actions: [
          IconButton(
            icon: Icon(Icons.arrow_back_ios_new),
            onPressed: () {
              Navigator.of(context).pop();
            },
          ),
        ],
      ),
      body: GestureDetector(
        onTap: () {
          //To avoid rebuild widgets
          FocusManager.instance.primaryFocus!.unfocus();
        },
        child: SingleChildScrollView(
          child: Stack(
            alignment: Alignment.center,
            children: <Widget>[
              Container(
                width: double.infinity,
                height: Responsive.height,
                color: Colors.lime[100],
                child: Column(
                  children: [
                    ItemRequestForm(),
                  ],
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
