import 'package:arupo_shop/constants/constants.dart';
import 'package:arupo_shop/utils/responsive.dart';
import 'package:arupo_shop/widgets/logo_one.dart';
import 'package:flutter/material.dart';

class RoleScreen extends StatelessWidget {
  const RoleScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      constraints: BoxConstraints(
        minWidth: 250,
        maxWidth: Responsive.istablet ? 430 : 350,
      ),
      height: Responsive.height,
      color: Colors.lime[100],
      child: Stack(
        alignment: Alignment.center,
        children: <Widget>[
          Positioned(
            top: Responsive.hp(15),
            child: LogoOne(
              width: Responsive.wp(60),
            ),
          ),
          Column(
            // Vertically center the widget inside the column
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              SizedBox(
                width: Responsive.wp(80),
                height: 50,
                child: TextButton(
                  style: ButtonStyle(
                      backgroundColor: MaterialStateProperty.all(Colors.teal),
                      shape: MaterialStateProperty.all(
                        RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(25.0)),
                      )),
                  onPressed: () {
                    Navigator.of(context).pushReplacementNamed(HOME_BUYER);
                  },
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Padding(
                        padding: EdgeInsets.symmetric(horizontal: 10.0),
                        child: Icon(
                          Icons.local_grocery_store,
                          color: Colors.white,
                          size: 30,
                        ),
                      ),
                      Text(
                        "COMPRADOR",
                        style: TextStyle(color: Colors.white),
                      ),
                    ],
                  ),
                ),
              ),
              SizedBox(height: Responsive.hp(10)),
              SizedBox(
                width: Responsive.wp(80),
                height: 50,
                child: TextButton(
                  style: ButtonStyle(
                      backgroundColor: MaterialStateProperty.all(Colors.teal),
                      shape: MaterialStateProperty.all(
                        RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(25.0)),
                      )),
                  onPressed: () {
                    Navigator.of(context).pushReplacementNamed(HOME_SELLER);
                  },
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Padding(
                        padding: EdgeInsets.symmetric(horizontal: 10.0),
                        child: Icon(
                          Icons.store_sharp,
                          color: Colors.white,
                          size: 30,
                        ),
                      ),
                      Text(
                        "VENDEDOR",
                        style: TextStyle(color: Colors.white),
                      ),
                    ],
                  ),
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
