import 'dart:convert';

import 'package:arupo_shop/constants/constants.dart';
import 'package:arupo_shop/models/jwt.dart';
import 'package:arupo_shop/models/account.dart';
import 'package:arupo_shop/services/i_auth_service.dart';
import 'package:http/http.dart' as http;

class AuthService implements IAuthService {
  /*http.Client _client = http.Client();

  set client(http.Client value) => _client = value;

  static final AuthService _internal = AuthService.internal();
  factory AuthService() => _internal;
  AuthService.internal(); */

  @override
  Future<JWT> signIn(Account account) async {
    print(jsonEncode(account));
    Map<String, String> headers = {'Content-Type': 'application/json'};
    var response = await http.post(
      Uri.parse('$API_URL/auth'),
      headers: headers,
      body: jsonEncode(account.toJson()),
    );
    if (response.statusCode == 200) {
      var data = json.decode(response.body);
      return JWT.fromMap(data);
    } else if (response.statusCode == 401) {
      return JWT(token: "", refresh: "");
    } else {
      throw Exception('Failed to authenticate');
    }
  }

  @override
  Future<JWT> refreshToken(String token) async {
    Map<String, String> headers = {'Authorization': token};
    var response = await http.post(
      Uri.parse('$API_URL/refresh'),
      headers: headers,
    );
    if (response.statusCode == 200) {
      var data = json.decode(response.body);
      return JWT.fromMap(data);
    } else if (response.statusCode == 401 || response.statusCode == 204) {
      return JWT(token: "", refresh: "");
    } else {
      throw Exception('Failed to refresh');
    }
  }
}
