import 'dart:convert';

import 'package:arupo_shop/constants/constants.dart';
import 'package:arupo_shop/models/category.dart';
import 'package:http/http.dart' as http;

class CategoryService {
  Future<List<Category>> getCategories() async {
    Map<String, String> headers = {"Accept": "Application/json; charset=utf-8"};
    var response = await http.get(
      Uri.parse('$API_URL/categories'),
      headers: headers,
    );
    if (response.statusCode == 200) {
      var data = json.decode(response.body);
      print(data);
      List<dynamic> categoriesData = data;
      List<Category> categories =
          categoriesData.map((f) => Category.fromMap(f)).toList();
      return categories;
    } else {
      throw Exception('Failed to get CATEGORIES data');
    }
  }
}
