import 'dart:convert';

import 'package:arupo_shop/constants/constants.dart';
import 'package:arupo_shop/models/role.dart';
import 'package:http/http.dart' as http;

import 'i_role_service.dart';

class RoleService implements IRoleService {
  @override
  Future<List<Role>> getRoles() async {
    var response = await http.get(Uri.parse('$API_URL/roles'));
    if (response.statusCode == 200) {
      var data = json.decode(response.body);
      print(data);
      List<dynamic> rolesData = data;
      List<Role> roles = rolesData.map((f) => Role.fromMap(f)).toList();
      return roles;
    } else {
      throw Exception('Failed to get ROLES data');
    }
  }
}
