import 'dart:convert';

import 'package:arupo_shop/constants/constants.dart';
import 'package:arupo_shop/models/user.dart';
import 'package:http/http.dart' as http;

class UserService {
  Future<String?> saveUser(User user) async {
    Map<String, String> headers = {'Content-Type': 'application/json'};
    var response = await http.post(
      Uri.parse('$API_URL/users'),
      headers: headers,
      body: jsonEncode(user.toJson()),
    );
    if (response.statusCode == 201) {
      var data = response.headers;
      return data['location'];
    } else {
      throw Exception('Failed to create USER');
    }
  }
}
