import 'package:flutter/widgets.dart';
import 'dart:math' as math;

class Responsive {
  //Static all to avoid rebuilds

  static late MediaQueryData _mediaQueryData;
  static late double _width, _height, _diaginal;
  static late bool _isTablet;
  static late Size _size;

  static double get width => _width;
  static double get height => _height;
  static get diaginal => _diaginal;
  static bool get istablet => _isTablet;

  //This must be called in the first screen
  static void of(BuildContext context) {
    _mediaQueryData = MediaQuery.of(context);
    _size = _mediaQueryData.size;
    _width = _size.width;
    _height = _size.height;
    _diaginal = math.sqrt(math.pow(_width, 2) + math.pow(_height, 2));
    _isTablet = _size.shortestSide >= 600;
  }

  static double wp(double percent) => _width * percent / 100;
  static double hp(double percent) => _height * percent / 100;
  static double dp(double percent) => _diaginal * percent / 100;
}
