import 'package:arupo_shop/models/category.dart';
import 'package:arupo_shop/repositories/category_repository.dart';
import 'package:flutter/material.dart';

class CategoryViewModel with ChangeNotifier {
  late List<Category> _categories = [];
  int categoryIdSelected = 1;

  Future<List<Category>> fetchCategories() async {
    _categories = [];
    _categories = await CategoryRepository().getCategories();
    return _categories;
  }

  List<Category> getCategories() {
    return this._categories;
  }

  selectCategory(categoryId) {
    this.categoryIdSelected = categoryId;
    notifyListeners();
  }

  Category getSelectedCategory() {
    int index =
        _categories.indexWhere((element) => categoryIdSelected == element.id);
    return _categories[index];
    /*Category category = Category(
      id: categoryIdSelected,
      description: "",
    );
    return category;*/
  }
}
