import 'package:arupo_shop/models/category.dart';
import 'package:arupo_shop/models/item.dart';
import 'package:arupo_shop/models/item_detail.dart';
import 'package:flutter/material.dart';

class ItemViewModel with ChangeNotifier {
  String _description = '';
  int _quantity = 1;
  List<ItemDetail> _itemDetails = [];

  Item getItem() {
    Category dumpCategory = Category(id: 0, description: '');
    Item item = Item(
      id: 0,
      description: _description,
      category: dumpCategory,
      itemDetails: _itemDetails,
    );
    return item;
  }

  //To fill data for edit
  setData(Item item, int quantity) {
    _quantity = quantity;
    _description = item.description;
    _itemDetails = item.itemDetails;
  }

  clearData() {
    _description = '';
    _quantity = 1;
    _itemDetails = [];
  }

  addItemDetail(String description, String value) {
    ItemDetail detail = ItemDetail(
      id: 0,
      description: description,
      value: value,
    );
    _itemDetails.add(detail);
    notifyListeners();
  }

  ItemDetail getDetail(int index) {
    return _itemDetails[index];
  }

  List<ItemDetail> getItemDetails() {
    return this._itemDetails;
  }

  removeDetail(index) {
    _itemDetails.removeAt(index);
    notifyListeners();
  }

  removeAll() {
    _itemDetails.clear();
    notifyListeners();
  }

  String get getDescription {
    return _description;
  }

  set setDescription(String description) {
    _description = description;
  }

  increment() {
    this._quantity++;
    notifyListeners();
  }

  decrement() {
    if (this._quantity > 1) this._quantity--;
    notifyListeners();
  }

  int getQuantity() {
    return this._quantity;
  }
}
