import 'package:arupo_shop/models/request_detail.dart';
import 'package:flutter/material.dart';

class RequestDetailViewModel with ChangeNotifier {
  late List<RequestDetail> _details = [];

  void addDetail(String description, String value) {
    RequestDetail detail =
        RequestDetail(id: 0, description: description, value: value);
    _details.add(detail);
    notifyListeners();
  }

  Future<List<RequestDetail>> getRequestDetails() async {
    //this._details = await RoleRespository().getRoles();
    return this._details;
  }

  RequestDetail getDetail(int index) {
    return _details[index];
  }

  void removeDetail(index) {
    _details.removeAt(index);
    notifyListeners();
  }

  void removeAll() {
    _details.clear();
    notifyListeners();
  }
}
