import 'package:arupo_shop/models/account.dart';
import 'package:arupo_shop/models/buyer.dart';
import 'package:arupo_shop/models/request.dart';
import 'package:arupo_shop/models/request_detail2.dart';
import 'package:arupo_shop/repositories/request_repository.dart';
import 'package:flutter/material.dart';

class RequestViewModel with ChangeNotifier {
  late Request request;
  late List<Request> listRequest;

  Future<int> createRequest(
    Account acount,
    List<RequestDetail2> requestDetails,
  ) async {
    var now = new DateTime.now();
    Buyer buyer = Buyer(
      id: 0,
      account: acount,
      firstName: '',
      lastName: '',
    );
    String date = '${now.year}-${now.month}-${now.day}';
    Request request = Request(
      buyer: buyer,
      date: date,
      requestDetails: requestDetails,
    );
    String? location = await RequestRespository().saveRequest(request);
    int idCreated = 0;
    if (location != null) {
      var locationParts = location.split("/");
      idCreated = int.parse(locationParts[locationParts.length - 1]);
    }
    return idCreated;
  }

  Future<List<Request>> getRequestListByBuyer(Account acount) async {
    Buyer buyer = Buyer(
      id: 0,
      account: acount,
      firstName: '',
      lastName: '',
    );
    listRequest = await RequestRespository().getRequestListByBuyer(buyer);
    //notifyListeners();
    return listRequest;
  }

  Future<bool> deleteRequest(Request request) async {
    bool status = await RequestRespository().deleteRequest(request);
    if (status) {
      notifyListeners();
    }
    return status;
  }
}
