import 'package:arupo_shop/models/account.dart';
import 'package:arupo_shop/models/credential.dart';
import 'package:arupo_shop/models/role.dart';
import 'package:arupo_shop/models/user.dart';
import 'package:arupo_shop/repositories/user_repository.dart';
import 'package:flutter/material.dart';

class UserViewModel with ChangeNotifier {
  Future<int> createUser(
    int idRole,
    String firstName,
    String lastName,
    String email,
    String password,
  ) async {
    Role role = Role(
      id: idRole,
      description: '',
    );
    Credential credential = Credential(
      role: role,
    );
    Account account = Account(
      id: 0,
      email: email,
      password: password,
      credentials: [credential],
    );
    User user = User(
      firstName: firstName,
      lastName: lastName,
      account: account,
    );
    String? location = await UserRepository().saveUser(user);
    int idCreated = 0;
    if (location != null) {
      var locationParts = location.split("/");
      idCreated = int.parse(locationParts[locationParts.length - 1]);
    }
    return idCreated;
  }
}
