import 'package:arupo_shop/utils/responsive.dart';
import 'package:flutter/material.dart';

class IconTextButton extends StatelessWidget {
  final Icon icon;
  final String label;
  final double radius;
  final Color color;
  final Color borderColor;
  final Color backgroundColor;
  final void Function() onChanged;

  const IconTextButton({
    Key? key,
    required this.icon,
    required this.label,
    required this.onChanged,
    this.radius = 10,
    this.color = Colors.white,
    this.borderColor = Colors.teal,
    this.backgroundColor = Colors.teal,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      child: ElevatedButton.icon(
        onPressed: this.onChanged,
        icon: this.icon,
        label: Text(
          this.label,
          style: TextStyle(
            color: this.color,
            fontSize: Responsive.dp(Responsive.istablet ? 1.2 : 1.8),
          ),
        ),
        style: ButtonStyle(
          backgroundColor: MaterialStateProperty.all(
            this.backgroundColor,
          ),
          shape: MaterialStateProperty.all<RoundedRectangleBorder>(
            RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(
                this.radius,
              ),
              side: BorderSide(
                color: this.borderColor,
              ),
            ),
          ),
        ),
      ),
    );
  }
}
