import 'package:arupo_shop/models/item_detail.dart';
import 'package:arupo_shop/view_models/item_view_model.dart';
import 'package:arupo_shop/widgets/item_detail_widget.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class ItemDetailsList extends StatelessWidget {
  const ItemDetailsList({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Consumer<ItemViewModel>(builder: (context, data, index) {
      var details = data.getItemDetails();
      return ListView.builder(
        shrinkWrap: true,
        itemCount: details.length,
        itemBuilder: (context, index) {
          ItemDetail detail = details[index];
          return ItemDetailWidget(
            detail: detail,
            index: index,
          );
        },
      );
    });
  }
}
