import 'package:arupo_shop/utils/responsive.dart';
import 'package:arupo_shop/view_models/item_view_model.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class ItemQuantityWidget extends StatelessWidget {
  const ItemQuantityWidget({Key? key}) : super(key: key);

  Widget _decrement(ItemViewModel model) {
    return ConstrainedBox(
      constraints: BoxConstraints.tightFor(width: 50, height: 32),
      child: ElevatedButton(
        child: Icon(
          Icons.remove,
          size: 18,
        ),
        onPressed: () {
          model.decrement();
        },
        style: ElevatedButton.styleFrom(
          shape: CircleBorder(),
          primary: Colors.teal,
        ),
      ),
    );
  }

  Widget _increment(ItemViewModel model) {
    return ConstrainedBox(
      constraints: BoxConstraints.tightFor(width: 50, height: 32),
      child: ElevatedButton(
        child: Icon(
          Icons.add,
          size: 18,
        ),
        onPressed: () {
          model.increment();
        },
        style: ElevatedButton.styleFrom(
          shape: CircleBorder(),
          primary: Colors.teal,
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(5.0),
      child: SizedBox(
        width: Responsive.wp(50),
        child: Consumer<ItemViewModel>(
          builder: (context, model, child) => Row(
            mainAxisAlignment: MainAxisAlignment.spaceEvenly,
            children: <Widget>[
              Text("Cantidad: "),
              _decrement(model),
              Text(
                '${model.getQuantity()}',
                style: TextStyle(
                  fontSize: Responsive.dp(2),
                  color: Colors.pinkAccent,
                ),
              ),
              _increment(model),
            ],
          ),
        ),
      ),
    );
  }
}
