import 'package:arupo_shop/utils/responsive.dart';
import 'package:flutter/widgets.dart';

class LogoDevWidget extends StatelessWidget {
  late final String label;
  late final String imagePath;

  LogoDevWidget({
    Key? key,
    required this.label,
    required this.imagePath,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    //final Responsive responsive = Responsive.of(context);
    return Align(
      alignment: Alignment.bottomCenter,
      child: Padding(
        padding: EdgeInsets.only(bottom: 30),
        child: Container(
          alignment: Alignment.center,
          height: Responsive.hp(20),
          width: double.infinity,
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              Padding(
                padding: EdgeInsets.all(10),
                child: Text(label),
              ),
              new Image.asset(
                imagePath,
                width: Responsive.wp(15),
                height: Responsive.hp(15),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
