import 'package:flutter/material.dart';

class LogoOne extends StatelessWidget {
  final double _blurRadius = 20;
  final double width;
  const LogoOne({Key? key, required this.width})
      : assert(width > 0),
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: this.width,
      padding: EdgeInsets.all(10),
      child: Column(
        children: [
          Center(
            child: Container(
              padding: EdgeInsets.all(10),
              child: Image.asset(
                'assets/images/logo_arupo.png',
              ),
            ),
          ),
          Center(
            child: Container(
              height: this.width * 0.03,
              decoration: BoxDecoration(
                boxShadow: [
                  BoxShadow(
                    color: Colors.black26,
                    blurRadius: _blurRadius,
                    offset: Offset(0, 1),
                  )
                ],
              ),
            ),
          )
        ],
      ),
    );
  }
}
