import 'package:arupo_shop/models/role.dart';
import 'package:arupo_shop/view_models/role_view_model.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class RoleSpinner extends StatelessWidget {
  const RoleSpinner({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: new Text(
            "Seleccione el tipo de usuario: ",
            style: TextStyle(
              fontSize: 16.0,
            ),
          ),
        ),
        Consumer<RoleViewModel>(
          builder: (context, model, child) => FutureBuilder<List<Role>>(
            future: model.getRoles(),
            builder:
                (BuildContext context, AsyncSnapshot<List<Role>> snapshot) {
              if (!snapshot.hasData) return CircularProgressIndicator();

              return Container(
                //width: 300,
                padding: EdgeInsets.symmetric(vertical: 0, horizontal: 35),
                decoration: BoxDecoration(
                  //color: Colors.teal,
                  border: Border.all(color: Colors.teal),
                  borderRadius: BorderRadius.circular(30),
                ),
                child: DropdownButton(
                  items: snapshot.data!
                      .map((role) => DropdownMenuItem(
                            child: Text(
                              role.description,
                              style: TextStyle(
                                color: Colors.pinkAccent,
                              ),
                            ),
                            value: role.id,
                          ))
                      .toList(),
                  isExpanded: true,
                  value: model.roleIdSelected,
                  // Hide the default underline
                  underline: Container(),

                  onChanged: (value) {
                    model.selectRole(value);
                  },
                ),
              );
            },
          ),
        ),
        SizedBox(height: 20.0),
      ],
    );
  }
}
